/************************************************************************************************
 *
 * ＯＰＴＩＯＮエレメントを生成する.
 *
 *-----------------------------------------------------------------------------------------------
 * @param optionValue ＯＰＴＩＯＮの値
 * @param optionText 表示するテキスト
 *-----------------------------------------------------------------------------------------------
 * @return 生成したＯＰＴＩＯＮオブジェクト
 ************************************************************************************************/
function HtmlCreateElementOption(optionValue, optionText) {

	var objOption = null;
	var objText = null;

	objOption = document.createElement("option");
	objOption.setAttribute("value", optionValue);

	objText = document.createTextNode(optionText);
	objOption.appendChild(objText);

	return objOption;
}



/************************************************************************************************
 *
 * ＨＴＭＬオブジェクトの子要素を全て削除する
 *
 *-----------------------------------------------------------------------------------------------
 * @param objParent 対象となるオブジェクト
 ************************************************************************************************/
function HtmlRemoveAllChild(objParent) {

	var objChild = null;

	while (objParent.hasChildNodes()) {
		objChild = objParent.firstChild;
		objParent.removeChild(objChild);
	}
}
